# serial: include/serial/serial.h File Reference

serial 1.0 Cross-platformserialportlibraryforC++

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Enumerations Enumerator Defines
Data Structures | Namespaces | Defines | Enumerations
include/serial/serial.h File Reference
`#include <limits>`
`#include <vector>`
`#include <string.h>`
`#include <sstream>`
`#include <exception>`
`#include <stdexcept>`
Include dependency graph for serial.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | serial::Serial
class | serial::SerialExecption
class | serial::IOException
class | serial::PortNotOpenedException
class | serial::SerialExceptionBase

## Namespaces

namespace | serial

## Defines

#define | THROW(exceptionClass, message) throw exceptionClass(__FILE__, __LINE__, (message) )

## Enumerations

enum | serial::bytesize_t { serial::fivebits = 5, serial::sixbits = 6, serial::sevenbits = 7, serial::eightbits = 8 }
enum | serial::parity_t { serial::parity_none = 0, serial::parity_odd = 1, serial::parity_even = 2 }
enum | serial::stopbits_t { serial::stopbits_one = 1, serial::stopbits_one_point_five, serial::stopbits_two = 2 }
enum | serial::flowcontrol_t { serial::flowcontrol_none = 0, serial::flowcontrol_software }

## Detailed Description

Author:
  William Woodall wjwwo.nosp@m.od@g.nosp@m.mail..nosp@m.com
  John Harrison ash.g.nosp@m.ti@g.nosp@m.mail..nosp@m.com

Version:
  0.1

## LICENSE

The MIT License

Copyright (c) 2011 William Woodall

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

## DESCRIPTION

This provides a cross platform interface for interacting with Serial Ports.

## Define Documentation

#define THROW | ( |  | exceptionClass,
|  |  | message
| ) |  | throw exceptionClass(__FILE__, __LINE__, (message) )